Bug 77198 - (JFSUTILS) extendfs outputs usage even when usage is correct
(JFSUTILS) extendfs outputs usage even when usage is correct
Product: Red Hat Linux
Classification: Retired
Component: jfsutils (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Depends On:
  Show dependency treegraph
Reported: 2002-11-02 17:41 EST by Brian Likosar
Modified: 2013-07-02 22:07 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-03 03:02:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Brian Likosar 2002-11-02 17:41:02 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I've resized a logical volume using LVM, and the extendfs command won't resize
the volume.  I have it unmounted, and when I run it, it gives me the usage (even
when I'm using it properly).  My command line is extendfs /dev/rootvg/newhomelv

Version-Release number of selected component (if applicable):

How reproducible:
Didn't try

Additional info:

lvdisplay /dev/rootvg/newhomelv
--- Logical volume ---
LV Name                /dev/rootvg/newhomelv
VG Name                rootvg
LV Write Access        read/write
LV Status              available
LV #                   3
# open                 1
LV Size                1004 MB
Current LE             251
Allocated LE           251
Allocation             next free
Read ahead sectors     1024
Block device           58:2

df -k /home
Filesystem           1K-blocks      Used Available Use% Mounted on
                        766748    690628     76120  91% /home

extendfs /dev/rootvg/newhomelv
 Usage:  EXTENDFS [-LS:logSize] <device>.
Comment 1 Tim Miller 2003-12-29 10:57:32 EST
If you look in your /var/log/messages, you will most likely find the
error message:
     "jfs_extendfs: volume hasn't grown, returning"

If so, then this is the same bug that I see in RH7.3 on 2.4.20-20.7.3.
If not, then let me know so I can create a new bug report.

I've traced this error message with a little googling and searching
of LKML to indicate that a recent kernel patch (in the Linus kernel
series) broke JFS's extendfs because it checked a logical volume
value in the kernel space that wasn't changed upon lvextend command.

The workaround "solution" is to umount the JFS partition, remount it,
THEN extendfs it. Yes, this defeats the purpose of JFS's online
remount and extension...which makes it an extremely annoying bug.

The correct solution is a kernel patch.  Check out this LKML entry:

*or* Google for that JFS error message above.

Note You need to log in before you can comment on or make changes to this bug.